#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private Samri.SamriMathRTIntradayV2[] cacheSamriMathRTIntradayV2;

		
		public Samri.SamriMathRTIntradayV2 SamriMathRTIntradayV2(string algorithm_asString_from_TypeConverter, string frameSize_asString_from_TypeConverter, string frameXpansionMultiplier_asString_from_TypeConverter, string ignoreWicks_asString_via_TypeConverter, double minimumSpread)
		{
			return SamriMathRTIntradayV2(Input, algorithm_asString_from_TypeConverter, frameSize_asString_from_TypeConverter, frameXpansionMultiplier_asString_from_TypeConverter, ignoreWicks_asString_via_TypeConverter, minimumSpread);
		}


		
		public Samri.SamriMathRTIntradayV2 SamriMathRTIntradayV2(ISeries<double> input, string algorithm_asString_from_TypeConverter, string frameSize_asString_from_TypeConverter, string frameXpansionMultiplier_asString_from_TypeConverter, string ignoreWicks_asString_via_TypeConverter, double minimumSpread)
		{
			if (cacheSamriMathRTIntradayV2 != null)
				for (int idx = 0; idx < cacheSamriMathRTIntradayV2.Length; idx++)
					if (cacheSamriMathRTIntradayV2[idx].Algorithm_asString_from_TypeConverter == algorithm_asString_from_TypeConverter && cacheSamriMathRTIntradayV2[idx].FrameSize_asString_from_TypeConverter == frameSize_asString_from_TypeConverter && cacheSamriMathRTIntradayV2[idx].FrameXpansionMultiplier_asString_from_TypeConverter == frameXpansionMultiplier_asString_from_TypeConverter && cacheSamriMathRTIntradayV2[idx].IgnoreWicks_asString_via_TypeConverter == ignoreWicks_asString_via_TypeConverter && cacheSamriMathRTIntradayV2[idx].MinimumSpread == minimumSpread && cacheSamriMathRTIntradayV2[idx].EqualsInput(input))
						return cacheSamriMathRTIntradayV2[idx];
			return CacheIndicator<Samri.SamriMathRTIntradayV2>(new Samri.SamriMathRTIntradayV2(){ Algorithm_asString_from_TypeConverter = algorithm_asString_from_TypeConverter, FrameSize_asString_from_TypeConverter = frameSize_asString_from_TypeConverter, FrameXpansionMultiplier_asString_from_TypeConverter = frameXpansionMultiplier_asString_from_TypeConverter, IgnoreWicks_asString_via_TypeConverter = ignoreWicks_asString_via_TypeConverter, MinimumSpread = minimumSpread }, input, ref cacheSamriMathRTIntradayV2);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.Samri.SamriMathRTIntradayV2 SamriMathRTIntradayV2(string algorithm_asString_from_TypeConverter, string frameSize_asString_from_TypeConverter, string frameXpansionMultiplier_asString_from_TypeConverter, string ignoreWicks_asString_via_TypeConverter, double minimumSpread)
		{
			return indicator.SamriMathRTIntradayV2(Input, algorithm_asString_from_TypeConverter, frameSize_asString_from_TypeConverter, frameXpansionMultiplier_asString_from_TypeConverter, ignoreWicks_asString_via_TypeConverter, minimumSpread);
		}


		
		public Indicators.Samri.SamriMathRTIntradayV2 SamriMathRTIntradayV2(ISeries<double> input , string algorithm_asString_from_TypeConverter, string frameSize_asString_from_TypeConverter, string frameXpansionMultiplier_asString_from_TypeConverter, string ignoreWicks_asString_via_TypeConverter, double minimumSpread)
		{
			return indicator.SamriMathRTIntradayV2(input, algorithm_asString_from_TypeConverter, frameSize_asString_from_TypeConverter, frameXpansionMultiplier_asString_from_TypeConverter, ignoreWicks_asString_via_TypeConverter, minimumSpread);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.Samri.SamriMathRTIntradayV2 SamriMathRTIntradayV2(string algorithm_asString_from_TypeConverter, string frameSize_asString_from_TypeConverter, string frameXpansionMultiplier_asString_from_TypeConverter, string ignoreWicks_asString_via_TypeConverter, double minimumSpread)
		{
			return indicator.SamriMathRTIntradayV2(Input, algorithm_asString_from_TypeConverter, frameSize_asString_from_TypeConverter, frameXpansionMultiplier_asString_from_TypeConverter, ignoreWicks_asString_via_TypeConverter, minimumSpread);
		}


		
		public Indicators.Samri.SamriMathRTIntradayV2 SamriMathRTIntradayV2(ISeries<double> input , string algorithm_asString_from_TypeConverter, string frameSize_asString_from_TypeConverter, string frameXpansionMultiplier_asString_from_TypeConverter, string ignoreWicks_asString_via_TypeConverter, double minimumSpread)
		{
			return indicator.SamriMathRTIntradayV2(input, algorithm_asString_from_TypeConverter, frameSize_asString_from_TypeConverter, frameXpansionMultiplier_asString_from_TypeConverter, ignoreWicks_asString_via_TypeConverter, minimumSpread);
		}

	}
}

#endregion
